<?PHP
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

<?

/*
     Atualizacao dos dados da Cultura no cabecalho comum

*/

$acao = $_GET['acao'];

if (strlen($escolaridadeusuario) == 0)
   $escolaridadeusuario = "NULL";
else
   $escolaridadeusuario = $escolaridadeusuario + 11;

if (strlen($corracausuario) == 0)
   $corracausuario = "NULL";
if (strlen($logradourotipousuario) == 0)
   $logradourotipousuario = "NULL";
if (strlen($logradourocorresptipousuari) == 0)
   $logradourocorresptipousuari = "NULL";
if (strlen($logradourogeoiguacuusuario) == 0)
{
   $geoiguacuvalor = "NULL,";
   $geoiguacutab = "geoiguacu = ";
}
else
{
   $geoiguacutab = "geoiguacu = ";
   $geoiguacuvalor="'$logradourogeoiguacuusuario',";
}

if (strlen($codigomunicipiousuario) == 0)
   $codigomunicipiousuario = "NULL";

if (strlen($logradourocidadeusuario) == 0)
   $logradourousuario = "NULL";

if (strlen($logradourocorrespcidadeusuario) == 0)
   $logradourocorrespcidadeusuario = "NULL";

if (strlen($logradourocorrespufusuario) == 0)
   $logradourocorrespufusuario = "NULL";

if (strlen($rgusuariodataemissao) == 0)
   $rgemissao = "NULL";
else
   $rgemissao="'$rgusuariodataemissao'";

if (strlen($carteiratrabusuariodataemissao) == 0)
   $ctpsemissao = "NULL";
else
   $ctpsemissao="'$carteiratrabusuariodataemissao'";

$fixo = $telefonefixousuario;
$fixo = substr($fixo,1,2).substr($fixo,5,4).substr($fixo,10,4);
$celular = $telefonecelularusuario;
$celular = substr($celular,1,2).substr($celular,5,4).substr($celular,10,4);
$recado = $telefonerecadousuario;
$recado = substr($recado,1,2).substr($recado,5,4).substr($recado,10,4);

if ($atividadesparticipa[0] == "S")
{
    $ubf = "beneficiario_bolsa_familia = '1'";
    $bf = "'1'";
}
else  if ($atividadesparticipa[0] == "N")
      {
         $ubf = "beneficiario_bolsa_familia = '0'";
         $bf = "'0'";
      }
      else
      {
         $ubf = "beneficiario_bolsa_familia = NULL";
         $bf = 'NULL';
      }
      
// Atualiza Tabela Pessoa no Cabecalho Comum

if (strlen($idpessoa) == 0)
{
   $sql1 = "select nextval('cabcomum.pessoa_id_seq'::regclass) as idpessoa";
   $result1 = pg_query($dbh, $sql1);
   $row1 = pg_fetch_array($result1);
   $idpessoa=trim($row1["idpessoa"]);

   $sql = "INSERT INTO cabcomum.pessoa
            (
             id,
             nome,
             idsexo,
             data_nascimento,
             idmunicipio_nascimento,
             idestado_nascimento,
             idpais_nascimento,
             idnacionalidade,
             idraca,
             email,
             fone_residencial,
             fone_celular,
             fone_recado,
             idescolaridade,
             idref_sistema,
             idpessoa_sistema,
             nome_mae,
             beneficiario_bolsa_familia
            )
            VALUES
            (
              $idpessoa,
             '$nomeusuario',
             '$sexousuario',
             '$datanascimentousuario',
              $codigomunicipiousuario,
              $ufnascimentousuario,
              $codigopaisusuario,
              $nacionalidadeusuario,
              $corracausuario,
             '$emailusuario',
             '$fixo',
             '$celular',
             '$recado',
              $escolaridadeusuario,
              1,
              $codigousuario,
             '$nomemae',
              $bf
            )";

   $result=pg_query($dbh,$sql);
   if (!$result)
   {
      die(pg_last_error());
      $result = pg_query($dbh, "ROLLBACK");
      if (!$result)
      {
         $erroFatal = "Erro em Transa��o Interna do Sistema - Informar Administrador";
         $SESSION["f_retornoFatal"] = $erroFatal;
      }
      $erro = "Erro na Gravacao de Pessoa em cabcomum";
      $_SESSION["f_retorno"]= $erro;
      pg_close($dbh);
      header('location:cadastro.php?reacao=retorno&acao='.$acao.'&'.$p);
      exit;
   }

   $sql = "UPDATE cultura.usuario
           SET idpessoa = $idpessoa
           where codigousuario = $codigousuario";

   $result = pg_query($dbh, $sql);
   if (!$result)
   {
      die(pg_last_error());
      $result = pg_query($dbh, "ROLLBACK");
      if (!$result)
      {
         $erroFatal = "Erro em Transa��o Interna do Sistema - Informar Administrador";
         $SESSION["f_retornoFatal"] = $erroFatal;
      }
      $erro = "Erro na Gravacao em Usuario";
      $_SESSION["f_retorno"]= $erro;
      pg_close($dbh);
      header('location:cadastro.php?reacao=retorno&acao='.$acao.'&'.$p);
      exit;
   }
}      
else
{
   $sql = "UPDATE cabcomum.pessoa
           SET
              nome =                       '$nomeusuario',
              idsexo =                     '$sexousuario',
              data_nascimento =            '$datanascimentousuario',
              idmunicipio_nascimento =      $codigomunicipiousuario,
              idestado_nascimento =         $ufnascimentousuario,
              idpais_nascimento =           $codigopaisusuario,
              idnacionalidade =             $nacionalidadeusuario,
              idraca =                      $corracausuario,
              email =                      '$emailusuario',
              fone_residencial =           '$fixo',
              fone_celular =               '$celular',
              fone_recado =                '$recado',
              idescolaridade =              $escolaridadeusuario,
              nome_mae =                   '$nomemae',
              $ubf
           WHERE id = $idpessoa";




   $result = pg_query($dbh, $sql);
   if (!$result)
   {
      die(pg_last_error());
      $result = pg_query($dbh, "ROLLBACK");
      if (!$result)
      {
         $erroFatal = "Erro em Transação Interna do Sistema - Informar Administrador";
         $SESSION["f_retornoFatal"] = $erroFatal;
      }
      $erro = "Erro na Atualizacao de Pessoa em Cabecalho Comum";
      $_SESSION["f_retorno"]= $erro;
      pg_close($dbh);
      header('location:cadastro.php?reacao=retorno&acao='.$acao.'&'.$p);
      exit;
   }

   $sql = "SELECT idpessoa
           FROM   cultura.usuario
           WHERE  codigousuario = $codigousuario";
           
   $result=pg_query($dbh, $sql);
   $row=pg_fetch_array($result);
   $ident=$row['idpessoa'];
   if (strlen($ident) == 0)
   {
       $sql = "UPDATE cultura.usuario
               SET    idpessoa = $idpessoa
               where  codigousuario = $codigousuario";

       $result=pg_query($dbh, $sql);
       if (!$result)
       {   die(pg_last_error());

           $erro = "Erro na gravacao de Identificacao em Usuario";
           $_SESSION["f_retorno"]= $erro;
           pg_close($dbh);
           header('location:cadastro.php?reacao=retorno&acao='.$acao.'&'.$p);
           exit;
       }
   }
}

// Atualiza Endereco Residencial no Cabecalho Comum

$sql = "SELECT idpessoa
         FROM  cabcomum.pessoa_endereco
         WHERE idpessoa = $idpessoa and
               idtipo_endereco = 1";
$result = pg_query($dbh, $sql);
if (pg_num_rows($result) != 0)
{
   $sql = "UPDATE cabcomum.pessoa_endereco
           SET
            idtipo_logradouro =            $logradourotipousuario,
            logradouro =                  '$logradouronomeusuario',
            numero =                      '$logradouronumerousuario',
            complemento =                 '$logradourocomplementousuario',
            bairro =                      '$logradourobairrousuario',
            idmunicipio =                  $logradourocidadeusuario,
            idestado =                     $logradouroufusuario,
            cep =                         '$logradourocepusuario',
            referencia =                  '$logradouropontoreferenciausuario',
            geoiguacu =                    $geoiguacuvalor
            justificativa_sem_geoiguacu = '$logradourojustificativausuario'
           WHERE idpessoa = $idpessoa and
                 idtipo_endereco = 1";

   $result=pg_query($dbh,$sql);
      
   if (!$result)
   {
      //die(pg_last_error());
      $result = pg_query($dbh, "ROLLBACK");
      if (!$result)
      {
          $erroFatal = "Erro em Transa¿¿o Interna do Sistema - Informar Administrador";
          $SESSION["f_retornoFatal"] = $erroFatal;
      }
      $erro = "Erro na Atualizacao de Endereco Residencia em Cabecalho Comum";
      $_SESSION["f_retorno"]= $erro;
      pg_close($dbh);
      header('location:cadastro.php?reacao=retorno&acao='.$acao.'&'.$p);
      exit;
   }
}
else
{
   if (strlen($logradouronomeusuario) != 0)
   {
      if (strlen($logradourogeoiguacuusuario) == 0)
      {
         $geoiguacuvalor = "";
         $geoiguacutab = "";
      }
      else
      {
         $geoiguacutab = "geoiguacu,";
         $geoiguacuvalor="'$logradourogeoiguacuusuario'".",";
      }

      $sql = "INSERT INTO cabcomum.pessoa_endereco
             (
              idpessoa,
              idtipo_endereco,
              idtipo_logradouro,
              logradouro,
              numero,
              complemento,
              bairro,
              idmunicipio,
              idestado,
              cep,
              referencia,
              $geoiguacutab
              justificativa_sem_geoiguacu
             )
             VALUES
             (
               $idpessoa,
               1,
               $logradourotipousuario,
              '$logradouronomeusuario',
              '$logradouronumerousuario',
              '$logradourocomplementousuario',
              '$logradourobairrousuario',
               $logradourocidadeusuario,
               $logradouroufusuario,
              '$logradourocepusuario',
              '$logradouropontoreferenciausuario',
               $geoiguacuvalor
              '$logradourojustificativausuario'
             )";

      $result=pg_query($dbh,$sql);
      if (!$result)
      {
         die(pg_last_error());
         $result = pg_query($dbh, "ROLLBACK");
         if (!$result)
         {
            $erroFatal = "Erro em Transa¿¿o Interna do Sistema - Informar Administrador";
            $SESSION["f_retornoFatal"] = $erroFatal;
         }
         $erro = "Erro na Insers¿o de Endereco Residencia em Cabecalho Comum";
         $_SESSION["f_retorno"]= $erro;
         pg_close($dbh);
         header('location:cadastro.php?reacao=retorno&acao='.$acao.'&'.$p);
         exit;
      }
   }
}

// Atualiza Endereco de Corespondencia no Cabecalho Comum

$sql = "SELECT idpessoa
        FROM  cabcomum.pessoa_endereco
        WHERE idpessoa = $idpessoa and
               idtipo_endereco = 2";
$result = pg_query($dbh, $sql);

if (pg_num_rows($result) != 0)
{
   if (strlen($logradourocorrespnomeusuario) == 0 && $enderecocorrespomesmo != "S")
   {
      $sql = "DELETE from cabcomum.pessoa_endereco cascade 
              WHERE  idpessoa = $idpessoa and 
              idtipo_endereco = 2";
   }
   else
   {
      if ($enderecocorrespomesmo != "S")

         $sql = "UPDATE cabcomum.pessoa_endereco
                 SET
                 idpessoa =          $idpessoa,
                 idtipo_endereco =    2,
                 idtipo_logradouro =  $logradourocorresptipousuario,
                 logradouro =        '$logradourocorrespnomeusuario',
                 numero =            '$logradourocorrespnumerousuario',
                 complemento =       '$logradourocorrespcomplementousuario',
                 bairro =            '$logradourocorrespbairrousuario',
                 idmunicipio =        $logradourocorrespcidadeusuario,
                 idestado =           $logradourocorrespufusuario,
                 cep =               '$logradourocorrespcepusuario'
                 WHERE idpessoa = $idpessoa and
                       idtipo_endereco = 2";
       else 

         $sql = "UPDATE cabcomum.pessoa_endereco
                 SET
                 idpessoa =          $idpessoa,
                 idtipo_endereco =    2,
                 idtipo_logradouro =  $logradourotipousuario,
                 logradouro =        '$logradouronomeusuario',
                 numero =            '$logradouronumerousuario',
                 complemento =       '$logradourocomplementousuario',
                 bairro =            '$logradourobairrousuario',
                 idmunicipio =        $logradourocidadeusuario,
                 idestado =           $logradouroufusuario,
                 cep =               '$logradourocepusuario'
                 WHERE idpessoa = $idpessoa and
                       idtipo_endereco = 2";
   }
   $result=pg_query($dbh,$sql);
   if (!$result)
   {
      die(pg_last_error());
      $result = pg_query($dbh, "ROLLBACK");
      if (!$result)
      {
         $erroFatal = "Erro em Transa¿¿o Interna do Sistema - Informar Administrador";
         $SESSION["f_retornoFatal"] = $erroFatal;
      }
      $erro = "Erro na Atualizacao de Endereco Correspondencia em Cabecalho Comum";
      $_SESSION["f_retorno"]= $erro;
      pg_close($dbh);
      header('location:cadastro.php?reacao=retorno&acao='.$acao.'&'.$p);
      exit;
   }
}
else
{
   if ($enderecocorrespomesmo != "S") 
  
      $sql = "INSERT INTO cabcomum.pessoa_endereco
             (
              idpessoa,
              idtipo_endereco,
              idtipo_logradouro,
              logradouro,
              numero,
              complemento,
              bairro,
              idmunicipio,
              idestado,
              cep
             )
             VALUES
             (
               $idpessoa,
               2,
               $logradourocorresptipousuario,
              '$logradourocorrespnomeusuario',
              '$logradourocorrespnumerousuario',
              '$logradourocorrespcomplementousuario',
              '$logradourocorrespbairrousuario',
               $logradourocorrespcidadeusuario,
               $logradourocorrespufusuario,
              '$logradourocorrespcepusuario'
             )";
   else

      $sql = "INSERT INTO cabcomum.pessoa_endereco
             (
              idpessoa,
              idtipo_endereco,
              idtipo_logradouro,
              logradouro,
              numero,
              complemento,
              bairro,
              idmunicipio,
              idestado,
              cep
             )
             VALUES
             (
               $idpessoa,
               2,
               $logradourotipousuario,
              '$logradouronomeusuario',
              '$logradouronumerousuario',
              '$logradourocomplementousuario',
              '$logradourobairrousuario',
               $logradourocidadeusuario,
               $logradouroufusuario,
              '$logradourocepusuario'
             )";


      $result=pg_query($dbh,$sql);

      if (!$result)
      {
         die(pg_last_error());
         $result = pg_query($dbh, "ROLLBACK");
         if (!$result)
         {
            $erroFatal = "Erro em Transa¿¿o Interna do Sistema - Informar Administrador";
            $SESSION["f_retornoFatal"] = $erroFatal;
         }
         $erro = "Erro na Inclusao de Endereco Correspondencia em Cabecalho Comum";
         $_SESSION["f_retorno"]= $erro;
         pg_close($dbh);
         header('location:cadastro.php?reacao=retorno&acao='.$acao.'&'.$p);
         exit;
      }
}


// Atualiza dados de rg no Cabecalho Comum


$sql = "SELECT *
         FROM  cabcomum.pessoa_documento
         WHERE idpessoa = $idpessoa and
               idtipo_documento = 1";

$result = pg_query($dbh, $sql);

$a=pg_num_rows($result);

if (pg_num_rows($result) != 0)
{
   $row = pg_fetch_array($result);
	$numrg = trim($row['numero']);

	if (strlen($rgusuario) == 0)
	{
		$sql = "DELETE from cabcomum.pessoa_documento cascade
			     WHERE  idpessoa = $idpessoa and
					      idtipo_documento = 1";
	}    
	else
	{   
  		$sql = "UPDATE cabcomum.pessoa_documento
              SET
                     idpessoa =           $idpessoa,
                     idtipo_documento  =  1,
                     numero =            '$rgusuario',
                     idestado =           $rgusuarioestado,
                     idorgao =            $rgusuarioorgaoemissor,
                     data_emissao =       $rgemissao,
                     apresentado =        NULL
              WHERE idpessoa = $idpessoa and
                    idtipo_documento = 1";
   }
   $result=pg_query($dbh,$sql);
    
   if (!$result)
   {   
      die(pg_last_error());
      $result = pg_query($dbh, "ROLLBACK");
      if (!$result)
      {
         $erroFatal = "Erro em Transa¿¿o Interna do Sistema - Informar Administrador";
         $SESSION["f_retornoFatal"] = $erroFatal;
      }  
      $erro = "Erro na Atualizacaoe RG em Cabecalho Comum";
      $_SESSION["f_retorno"]= $erro;
      pg_close($dbh);
      header('location:cadastro.php?reacao=retorno&acao='.$acao.'&'.$p);
      exit;
    }
}
else
{
   if (strlen($rgusuario) != 0)
   {
      $sql = "INSERT INTO cabcomum.pessoa_documento
              (
               idpessoa,
               idtipo_documento,
               numero,
               idestado,
               idorgao,
               data_emissao,
					apresentado
              )
              VALUES
              (
                $idpessoa,
                1,
               '$rgusuario',
                $rgusuarioestado,
                $rgusuarioorgaoemissor,
                $rgemissao,
					 NULL
              )";

      $result=pg_query($dbh,$sql);
      if (!$result)
      {
		die(pg_last_error());
         $result = pg_query($dbh, "ROLLBACK");
         if (!$result)
         {
            $erroFatal = "Erro em Transa¿¿o Interna do Sistema - Informar Administrador";
            $SESSION["f_retornoFatal"] = $erroFatal;
         }
         $erro = "Erro na Atualizacao de RG em Cabecalho Comum";
         $_SESSION["f_retorno"]= $erro;
         pg_close($dbh);
         header('location:cadastro.php?reacao=retorno&acao='.$acao.'&'.$p);
         exit;
      }
   }
}

// Atualiza dados da carteira de trabalho em Cabecalho Comum

$sql = "SELECT *
         FROM  cabcomum.pessoa_documento
         WHERE idpessoa = $idpessoa and
               idtipo_documento = 2";
$result = pg_query($dbh, $sql);
if (pg_num_rows($result) != 0)
{
   $row = pg_fetch_array($result);
   $numcarteiratrab = trim($row["numero"]);

   if (strlen($carteiratrabusuario) == 0)
   {
      $sql = "DELETE 
              FROM  cabcomum.pessoa_documento
              WHERE idtipo_documento = 2 and 
				        idpessoa = $idpessoa";
   }
   else
   {
      $sql = "UPDATE cabcomum.pessoa_documento
              SET
                     idpessoa =          $idpessoa,
                     idtipo_documento =  2,
                     numero =           '$carteiratrabusuario',
                     serie =            '$carteiratrabusuarioserie',
                     idestado =         '$carteiratrabusuarioestado',
                     data_emissao =      $ctpsemissao,
							apresentado =       NULL
              WHERE  idpessoa = $idpessoa and
                     idtipo_documento = 2";
   }

   $result=pg_query($dbh,$sql);

   if (!$result)
   {
	   die ("Erro :". pg_last_error());
      $result = pg_query($dbh, "ROLLBACK");
      if (!$result)
      {   
         $erroFatal = "Erro em Transa¿¿o Interna do Sistema - Informar Administrador";
         $SESSION["f_retornoFatal"] = $erroFatal;
      }
      $erro = "Erro na Atualizacaoe CTPS em Cabecalho Comum";
      $_SESSION["f_retorno"]= $erro;
      pg_close($dbh);
      header('location:cadastro.php?reacao=retorno&acao='.$acao.'&'.$p);
      exit;
   }
}
else
{
   if (strlen($carteiratrabusuario) != 0)
   {
      $sql = "INSERT INTO cabcomum.pessoa_documento
              (
               idpessoa,
               idtipo_documento,
               numero,
               serie,
               idestado,
               data_emissao,
					apresentado
              )
              VALUES
              (
                $idpessoa,
                2,
               '$carteiratrabusuario',
               '$carteiratrabusuarioserie',
               '$carteiratrabusuarioestado',
                $ctpsemissao,
					 NULL
              )";


      $result=pg_query($dbh,$sql);
      if (!$result)
      {
         $result = pg_query($dbh, "ROLLBACK");
         if (!$result)
         {
            $erroFatal = "Erro em Transa¿¿o Interna do Sistema - Informar Administrador";
            $SESSION["f_retornoFatal"] = $erroFatal;
         }
         $erro = "Erro na Atualizacao de CTPS em Cabecalho Comum";
         $_SESSION["f_retorno"]= $erro;
         pg_close($dbh);
         header('location:cadastro.php?reacao=retorno&acao='.$acao.'&'.$p);
         exit;
      }
   }
}

// Atualizacao de dados de cpf em pessoa_documento

$sql = "SELECT *
         FROM  cabcomum.pessoa_documento
         WHERE idpessoa = $idpessoa and
               idtipo_documento = 5";

$result = pg_query($dbh, $sql);

if (pg_num_rows($result) != 0)
{
   if (strlen($cpfusuario) == 14)
   {
      $cpfusuario = substr($cpfusuario,0,3) .
                    substr($cpfusuario,4,3) .
                    substr($cpfusuario,8,3) .
                    substr($cpfusuario,12,2) ;
   }
   else
   {
       if (strlen($cpfusuario) != 0)
       {
          $erro = "Ocorreu um erro na atualizacao de cpf. Redigitar";
          $_SESSION["f_retorno"]= $erro;
          pg_close($dbh);
          header('location:cadastro.php?reacao=retorno&acao='.$acao.'&'.$p);
          exit;
       }
   }
   $row = pg_fetch_array($result);
   $numcpf = trim($row['numero']);

   if (strlen($cpfusuario) == 0)
   {
	   $sql = "DELETE from  cabcomum.pessoa_documento cascade
		        WHERE idpessoa = $idpessoa and
		              idtipo_documento = 5";
   }
   else
   {
//   die("aqui???");
      $sql = "UPDATE cabcomum.pessoa_documento
              SET
                    idpessoa =          $idpessoa,
                    idtipo_documento =  5,
                    numero =            '$cpfusuario',
						  apresentado =       NULL
              WHERE idpessoa = $idpessoa and
                    idtipo_documento = 5";
   }
   $result=pg_query($dbh,$sql);
   if (!$result)
   {
      die(pg_last_error());
      $result = pg_query($dbh, "ROLLBACK");
      if (!$result)
      {
         $erroFatal = "Erro em Transa¿¿o Interna do Sistema - Informar Administrador";
         $SESSION["f_retornoFatal"] = $erroFatal;
      }
      $erro = "Erro na Atualizacaoe CPF em Cabecalho Comum";
      $_SESSION["f_retorno"]= $erro;
      pg_close($dbh);
      header('location:cadastro.php?reacao=retorno&acao='.$acao.'&'.$p);
      exit;
   }
}
else
{
   if (strlen($cpfusuario) == 14)
   {
      $cpfusuario = substr($cpfusuario,0,3) .
                    substr($cpfusuario,4,3) .
                    substr($cpfusuario,8,3) .
                    substr($cpfusuario,12,2) ;
   }
   else
   {
       if (strlen($cpfusuario) != 0)
       {
          $erro = "Ocorreu um erro na atualizacao de cpf. Redigitar";
          $_SESSION["f_retorno"]= $erro;
          pg_close($dbh);
          header('location:cadastro.php?reacao=retorno&acao='.$acao.'&'.$p);
          exit;
       }
   }

   if (strlen($cpfusuario) != 0)
   {
      $sql = "INSERT INTO cabcomum.pessoa_documento
      (
        idpessoa,
        idtipo_documento,
        numero,
		  apresentado
       )
       VALUES
       (
         $idpessoa,
         5,
         '$cpfusuario',
			NULL
       )";

       $result=pg_query($dbh,$sql);
       if (!$result)
       {
           die(pg_last_error());
           $result = pg_query($dbh, "ROLLBACK");
           if (!$result)
           {
              $erroFatal = "Erro em Transa¿¿o Interna do Sistema - Informar Administrador";
              $SESSION["f_retornoFatal"] = $erroFatal;
           }
           $erro = "Erro na Atualizacao de CPF em Cabecalho Comum";
           $_SESSION["f_retorno"]= $erro;
           pg_close($dbh);
           header('location:cadastro.php?reacao=retorno&acao='.$acao.'&'.$p);
           exit;
       }
   }
}

// Atualizacao de dados de cartao SUS em pessoa_documento

$sql = "SELECT *
         FROM  cabcomum.pessoa_documento
         WHERE idpessoa = $idpessoa and
               idtipo_documento = 6";
$result = pg_query($dbh, $sql);
if (pg_num_rows($result) != 0)
{
   $row = pg_fetch_array($result);
	$numcadsus = trim($row["numero"]);
	   
	if (strlen($nrocadsususuario) == 0)
	{
	   $sql = "DELETE from cabcomum.pessoa_documento cascade
		        where idpessoa = $idpessoa and 
				        idtipo_documento == 6";
	}
	else
	{
      $sql = "UPDATE cabcomum.pessoa_documento
              SET
                    idpessoa =          $idpessoa,
                    idtipo_documento =  6,
                    numero =           '$nrocadsususuario',
						  apresentado =       NULL
              WHERE idpessoa = $idpessoa and
                    idtipo_documento = 6";
   }
   $result=pg_query($dbh,$sql);
   if (!$result)
   {
      die(pg_last_error());
      $result = pg_query($dbh, "ROLLBACK");
      if (!$result)
      {   
         $erroFatal = "Erro em Transa¿¿o Interna do Sistema - Informar Administrador";
         $SESSION["f_retornoFatal"] = $erroFatal;
      }
      $erro = "Erro na Atualizacaoe Cartao SUS em Cabecalho Comum";
      $_SESSION["f_retorno"]= $erro;
      pg_close($dbh);
      header('location:cadastro.php?reacao=retorno&acao='.$acao.'&'.$p);
      exit;
   }
}
else
{
   if (strlen($nrocadsususuario) != 0)
   {
      $sql = "INSERT INTO cabcomum.pessoa_documento
      (
        idpessoa,
        idtipo_documento,
        numero,
		  apresentado
       )
       VALUES
       (
         $idpessoa,
         6,
        '$nrocadsususuario',
		   NULL
       )";

       $result=pg_query($dbh,$sql);
       if (!$result)
       {
           $result = pg_query($dbh, "ROLLBACK");
           if (!$result)
           {
              $erroFatal = "Erro em Transa¿¿o Interna do Sistema - Informar Administrador";
              $SESSION["f_retornoFatal"] = $erroFatal;
           }
           $erro = "Erro na Atualizacao de Cartao Sus em Cabecalho Comum";
           $_SESSION["f_retorno"]= $erro;
           pg_close($dbh);
           header('location:cadastro.php?reacao=retorno&acao='.$acao.'&'.$p);
           exit;
       }
   }
}

// Atualizacao de dados de carteira de Habilitacao em pessoa_documento

$sql = "SELECT *
        FROM  cabcomum.pessoa_documento
        WHERE idpessoa = $idpessoa and
              idtipo_documento = 8";
$result = pg_query($dbh, $sql);
if (pg_num_rows($result) != 0)
{
   $row = pg_fetch_array($result);
	$cnh = trim($row["numero"]);
	   
	if (strlen($cartmotoristausuario) == 0)
	{
	   $sql = "DELETE cabcomum.pessoa_documento cascade 
		        WHERE  idpessoa = $idpessoa and 
				         idtipo_documento = 8";
	}
	else
	{
      $sql = "UPDATE cabcomum.pessoa_documento
              SET
                    idpessoa =          $idpessoa,
                    idtipo_documento =  8,
                    numero =           '$cartmotoristausuario',
						  apresentado =       NULL
              WHERE idpessoa = $idpessoa and
                    idtipo_documento = 8";
	}
   $result=pg_query($dbh,$sql);
   if (!$result)
   {
      die(pg_last_error());
      $result = pg_query($dbh, "ROLLBACK");
      if (!$result)
      {
         $erroFatal = "Erro em Transa¿¿o Interna do Sistema - Informar Administrador";
         $SESSION["f_retornoFatal"] = $erroFatal;
      }
      $erro = "Erro na Atualizacaoe CNH em Cabecalho Comum";
      $_SESSION["f_retorno"]= $erro;
      pg_close($dbh);
      header('location:cadastro.php?reacao=retorno&acao=atualizar&'.$p);
      exit;
   }
}
else
{
   if (strlen($cartmotoristausuario) != 0)
   {
      $sql = "INSERT INTO cabcomum.pessoa_documento
      (
        idpessoa,
        idtipo_documento,
        numero,
		  apresentado
       )
       VALUES
       (
         $idpessoa,
         8,
        '$cartmotoristausuario',
		   NULL
       )";

       $result=pg_query($dbh,$sql);
       if (!$result)
       {
           die(pg_last_error());
           $result = pg_query($dbh, "ROLLBACK");
           if (!$result)
           {
              $erroFatal = "Erro em Transa¿¿o Interna do Sistema - Informar Administrador";
              $SESSION["f_retornoFatal"] = $erroFatal;
           }
           $erro = "Erro na Atualizacao de CNH em Cabecalho Comum";
           $_SESSION["f_retorno"]= $erro;
           pg_close($dbh);
           header('location:cadastro.php?reacao=retorno&acao=atualizar&'.$p);
           exit;
       }
   }
}

?>
